﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=3.5
@EndOfDesignText@
'Class module
Sub Class_Globals

	Private nativeMe As JavaObject
	
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize

nativeMe = Me

End Sub

Public Sub createPdf(mystring As String) As Byte()

	Dim fn As String = "Belinda.pdf"
	Dim c128bytes() As Byte
	c128bytes = nativeMe.RunMethod("createPdf", Array(fn, mystring))
	Return c128bytes

End Sub

#If Java


import java.io.FileOutputStream;
import java.io.IOException;
 
import com.itextpdf.text.BaseColor;
import com.itextpdf.text.Document;
import com.itextpdf.text.DocumentException;
import com.itextpdf.text.Element;
import com.itextpdf.text.Image;
import com.itextpdf.text.Paragraph;
import com.itextpdf.text.Rectangle;
import com.itextpdf.text.pdf.Barcode;
import com.itextpdf.text.pdf.Barcode128;
import com.itextpdf.text.pdf.Barcode39;
import com.itextpdf.text.pdf.BarcodeCodabar;
import com.itextpdf.text.pdf.BarcodeDatamatrix;
import com.itextpdf.text.pdf.BarcodeEAN;
import com.itextpdf.text.pdf.BarcodeEANSUPP;
import com.itextpdf.text.pdf.BarcodeInter25;
import com.itextpdf.text.pdf.BarcodePDF417;
import com.itextpdf.text.pdf.BarcodePostnet;
import com.itextpdf.text.pdf.BarcodeQRCode;
import com.itextpdf.text.pdf.PdfContentByte;
import com.itextpdf.text.pdf.PdfWriter;


import java.io.File;
import java.io.FileOutputStream;

 

   public byte[] createPdf(String filename, String mystring) throws IOException, DocumentException {
         

		String configFilePath = new File(System.getProperty("user.dir")).getParent() + "/ItextBarcodes/";
		
        // step 1
        Document document = new Document(new Rectangle(340, 842));
        // step 2
        PdfWriter writer = PdfWriter.getInstance(document, new FileOutputStream(configFilePath + filename));
        // step 3
        document.open();
		document.addHeader("Johan", "My Barcodes");
		document.addTitle("Hello Barcodes");
		document.addCreationDate();
        // step 4
        PdfContentByte cb = writer.getDirectContent();
 	
 		  
		Barcode128 uccEan128 = new Barcode128();
        uccEan128.setCodeType(Barcode.CODE128_UCC);
	    uccEan128.setCode(mystring);

        document.add(uccEan128.createImageWithBarcode(cb, BaseColor.BLUE,
                BaseColor.BLACK));
				
        String bCode;
        if (uccEan128.getCodeType() == uccEan128.CODE128_RAW) {
            int idx = uccEan128.getCode().indexOf('\uffff');
            if (idx >= 0)
                bCode =  uccEan128.getCode().substring(0, idx);
            else
                bCode = uccEan128.getCode();
        }
        else {
            bCode = uccEan128.getRawText(uccEan128.getCode(), uccEan128.getCodeType() == uccEan128.CODE128_UCC);
        }
        int len = bCode.length();
        int fullWidth = (len + 2) * 11 + 2;
        byte bars[] = uccEan128.getBarsCode128Raw(bCode);
	
        document.close();
		
		return bars;		 
}

#End If

